/*
 * Copyright (C) 2008 The Trustees of Columbia University in the City of New York. 
 * All rights reserved.
 *
 * See the file LICENSE included in this distribution for details.
 */

#ifndef _KAD_DIST_H
#define _KAD_DIST_H

#include "distance.h"


class KadDist : public Distance {

 public:
  KadDist();
  virtual ~KadDist();
  
  virtual int32 getKeyAt(uint32 iPos, BigInt& objKey);
  int32 getDistance(BigInt& src, BigInt& dst, BigInt& result);
};

#endif
